Page MenuHomePhabricator

efl.gfx.entity
Closed, ResolvedPublic

Description

| | | |interface Efl.Gfx.Entity
| | | |├ (P) position
| | | |├ (P) size
| | | |├ (P) geometry
| | | |├ (P) visible
| | | |├ (P) scale
| | | |├ (E) show
| | | |├ (E) hide
| | | |├ (E) position,changed
| | | |├ (E) size,changed

Related Objects

StatusAssignedTask
Resolvedzmike
Resolvedzmike
zmike created this task.Jan 8 2019, 11:31 AM
zmike triaged this task as TODO priority.
zmike added a comment.EditedFeb 12 2019, 7:07 AM

Is there a reason why there are separate events for show and hide when there is only one method to toggle both states? I think something like a visibility,changed event would be better here. Otherwise this seems fine.

zmike moved this task from Backlog to Evaluating on the efl: api board.Feb 12 2019, 7:08 AM

It's true that that is inconsistent. I cannot decide if I prefer a single event or two methods, though...

zmike added a comment.Feb 21 2019, 9:27 AM

show and hide cannot be removed due to use in animator methods.

move and resize should probably be renamed to position,changed and size,changed

+1 to position,changed and size,changed (which should have been moved and resized from the beginning).

When geometry or scale are changed, move and resize events are emitted too?

zmike added a comment.Feb 21 2019, 9:51 AM

scale no, geometry yes

Doesn't the scale change the resulting size of the object? :/

zmike added a comment.Feb 21 2019, 9:52 AM

No, it changes the scale property.

zmike updated the task description. (Show Details)Feb 22 2019, 5:52 AM
zmike moved this task from Evaluating to Stabilized on the efl: api board.Feb 22 2019, 6:00 AM
zmike moved this task from Stabilized to Evaluating on the efl: api board.Mon, Feb 25, 7:36 AM
zmike moved this task from Evaluating to Stabilized on the efl: api board.Tue, Feb 26, 1:48 PM
zmike closed this task as Resolved.Mon, Mar 11, 10:49 AM
zmike claimed this task.